Get a company
curl --request GET \
--url https://sandbox.tight.com/v6/company/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.tight.com/v6/company/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.tight.com/v6/company/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"name": "ACME Corp",
"owners": [
{
"userId": "fake_userId",
"email": "joe@tight.com",
"firstName": "Joe",
"lastName": "Perkins",
"language": "EN"
}
],
"id": "co_235823",
"apiCompanyId": "fake_company_123",
"address": {
"countryCode": "USA",
"state": "<string>",
"city": "<string>",
"zip": "<string>",
"phoneWork": "<string>",
"address1": "<string>",
"address2": "<string>"
},
"accountingMethod": "ACCRUAL",
"businessType": {
"id": "bzt_123456",
"name": "Electrician"
},
"availableFeatures": {
"bankTransactions": true,
"bills": true,
"bookkeeping": true,
"imports": true,
"invoicing": true,
"payroll": true,
"reporting": true,
"taxes": true,
"timeTracking": true,
"mileage": true
},
"status": "ACTIVE"
}
}{
"result": "FAILURE",
"error": [
{
"type": "REQUIRED",
"message": "Amount is required",
"param": "amount"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Account Provisioning
Get a company
Get a company in the Tight API for the given id
GET
/
v6
/
company
/
{id}
Get a company
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is a partner-level token.
Path Parameters
The id of the company
⌘I